Unspecified error while copying any file into Galaxy_nexus device on Linaro Android Builds

Bug #1237835 reported by Soumya Basak on 2013-10-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Android
Fix Released
Medium
HariGopal

Bug Description

Hi,
I have tested with Linaro Android Galaxy_Nexus Builds:

https://android-build.linaro.org/builds/~linaro-android/galaxynexus-linaro/#build=462

with Android Version 4.3,

the issue observed while copying any Media File into the device it gives some Unspecified error, and the file can't copied into the devices.

The steps that I followed:

1. Plugin the device with Host through USB,
2. copy Media data : http://samplemedia.linaro.org/H264/big_buck_bunny_480p_H264_AAC_25fps_1800K.MP4
3. Open the device & Paste the data into Movies Folder
4. While coping Data into device it display error Message, Unspecified error and stop.

affects: linaro-oe → linaro-android
Botao (botao-sun) wrote :

@Soumya, What does "Unspecified" error mean? Would you share a screen snapshot? You can use this command once you established a ADB connection:

$ sudo adb shell screencap -p | sed 's/\r$//' > snapshot.png

Soumya Basak (soumya-basak) wrote :

Hi Botao,
 after plugged in USB cable, the rootfs can be mounted automatically to PC,
and I can see Movies, Music, Pictures, Ringtones etc folders.
While coping Data into device rootfs under Movies or Music folders it shown pop up messages Unspecified error, and stops.
Please refer to the attached screenshots.

Soumya Basak (soumya-basak) wrote :

second attachment.

Botao (botao-sun) wrote :

@Soumya, based on the output from your side:

https://pastebin.linaro.org/view/2acdd830

https://pastebin.linaro.org/view/43a564c4

This should be considered as a bug. Below is the directory structure on my side with original Google AOSP 4.3 image:

shell@maguro:/sdcard $ ls -la
drwxrwxr-x root sdcard_rw 2013-10-10 10:34 .youversion
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Alarms
drwxrwxr-x root sdcard_rw 2013-10-10 10:14 Android
drwxrwxr-x root sdcard_rw 2013-10-10 12:10 DCIM
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Download
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Movies
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Music
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Notifications
drwxrwxr-x root sdcard_rw 2013-10-10 18:54 Pictures
drwxrwxr-x root sdcard_rw 2013-10-10 10:13 Podcasts
drwxrwxr-x root sdcard_rw 2013-10-10 10:14 Ringtones
drwxrwxr-x root sdcard_rw 2013-10-10 12:22 dictdata
drwxrwxr-x root sdcard_rw 2013-10-10 16:22 media
shell@maguro:/sdcard $

As you can see, those Movies, Music..., folders should be put under the "/sdcard". For the output of "df", without "/sdcard" in output list is fine. For example, the output on my side is:

shell@maguro:/sdcard $ df
Filesystem Size Used Free Blksize
/dev 347.1M 32.0K 347.1M 4096
/mnt/secure 347.1M 0.0K 347.1M 4096
/mnt/asec 347.1M 0.0K 347.1M 4096
/mnt/obb 347.1M 0.0K 347.1M 4096
/system 643.7M 466.8M 176.9M 4096
/factory 19.7M 8.1M 11.6M 4096
/cache 425.2M 7.1M 418.1M 4096
/data 13.3G 1.6G 11.7G 4096
/mnt/shell/emulated 13.3G 1.6G 11.7G 4096
shell@maguro:/sdcard $

For the file transfer, please be sure you have the permission to do so. If you're not sure, simply change it to 777 then test it again.

Botao (botao-sun) wrote :

On Samsung Galaxy Nexus phone with Linaro Android image:

https://android-build.linaro.org/builds/~linaro-android/galaxynexus-linaro/#build=472

This issue still exists. Directory structure is incorrect in Linaro Android image compared with Google AOSP build, multimedia folders and other necessary directories are missing.

Soumya Basak (soumya-basak) wrote :

The issue Reproduced with Samsung Galaxy Nexus phone with Linaro Android 13.10RC build:

https://android-build.linaro.org/builds/~linaro-android/galaxynexus-linaro-13.10-release/#build=1

 Directory structure is incorrect in Linaro Android image compared with Google AOSP build, multimedia folders and other necessary directories are missing.

error while copying multimedia files into the device.

vishal (vishalbhoj) on 2013-10-30
Changed in linaro-android:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → HariGopal (harigopal-gollamudi)
milestone: none → 13.11
Fathi Boudra (fboudra) on 2013-12-10
Changed in linaro-android:
milestone: 13.11 → 13.12
Soumya Basak (soumya-basak) wrote :

the behaviour observed with Linaro Android 4.4 Galaxy Nexus build:

https://android-build.linaro.org/builds/~linaro-android/galaxynexus-linaro/#build=527

file structure shown by df command:

root@maguro:/ # df
Filesystem Size Used Free Blksize
/dev 346.9M 136.0K 346.8M 4096
/sys/fs/cgroup 346.9M 12.0K 346.9M 4096
/mnt/secure 346.9M 0.0K 346.9M 4096
/mnt/asec 346.9M 0.0K 346.9M 4096
/mnt/obb 346.9M 0.0K 346.9M 4096
/system 503.9M 478.5M 25.4M 4096
/factory 19.7M 8.1M 11.6M 4096
/cache 425.2M 7.1M 418.1M 4096
/data 13.3G 307.7M 13.0G 4096
/mnt/shell/emulated 13.3G 307.7M 13.0G 4096

External Storage is shown as per command:

root@maguro:/ # echo $EXTERNAL_STORAGE
/storage/emulated/legacy

and copying media files into device is OK, without any problem, and Playback of media files fine.

Soumya Basak (soumya-basak) wrote :

This issue can be consider as fixed now.

Changed in linaro-android:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers